Docs
Nodes API Reference
This section covers all endpoints related to nodes.
List Nodes
List full inventory, optionally in detailed view (which lists chutes).
GET/nodes/
API
Code Examples
curl -X GET "https://api.chutes.ai/nodes/"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| model | string | null | No | |
| detailed | boolean | null | No | |
| hotkey | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Create Nodes
Add nodes/GPUs to inventory.
POST/nodes/
API
Code Examples
curl -X POST "https://api.chutes.ai/nodes/"
-H "Content-Type: application/json"
-d '{}'Request Configuration
Authorization
Request Body
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| server_id | string | null | No | |
| nodes | NodeArgs | Yes |
Responses
| Status Code | Description |
|---|---|
| 202 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.
List Supported Gpus
Show all currently supported GPUs.
GET/nodes/supported
API
Code Examples
curl -X GET "https://api.chutes.ai/nodes/supported"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
Check Verification Status
Check taskiq task status, to see if the validator has finished GPU verification.
GET/nodes/verification_status
API
Code Examples
curl -X GET "https://api.chutes.ai/nodes/verification_status"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| task_id | string | Yes | |
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.
Delete Node
Remove a node from inventory.
DELETE/nodes/{node_id}
API
Code Examples
curl -X DELETE "https://api.chutes.ai/nodes/{node_id}"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| node_id | string | Yes | |
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.